X

PAC: Ошибка Vte.so: undefined symbol: Perl_xs_apiversion_bootcheck

После обновления Ubuntu на 16.04 LTS, перестал работать PAC. При запуске из GUI ничего не происходило, а при запуске из консоли появлялась ошибка:

/usr/bin/perl: symbol lookup error: /opt/pac/lib/ex/vte64/auto/Gnome2/Vte/Vte.so: undefined symbol: Perl_xs_apiversion_bootcheck

Решение было найдено довольно быстро..

Нашелся он в багтрекере PAC-а: #264 cannot start pac - Perl_xs_apiversion_bootcheck

Вкратце, решение такое: удаляем старую версию, устанавливаем новую

То, что делал я:

Первым делом нашел как называется пакет у меня:

dpkg -l | grep pac

У меня он назывался pac. Далее я его удалил:

dpkg -r pac

затем удалил его папку

rm -rf /opt/pac

потом скачал свежий deb, который находится тут: https://sourceforge.net/projects/pacmanager и установил его так:

dpkg -i pac-4.5.5.7-all.deb

После этого все заработало.

Важное замечание: при удалении пакета и папки PAC-а, данные соединений не теряются, но их бэкап перед обновлением все равно не помешает 😉

 

 

Категории: Linux

Комментарии (0)